How to get a part of a Circle/ArcCurve

I am trying to get a part of a Circle and an ArcCurve via a custom domain utilizing the Trim method of the ArcCurve class but get the same full circle instead of the desired part. Can someone point out what is incorrect here, and why the method doesn’t work as expected?

import Rhino.Geometry as rg

pln = rg.Plane.WorldXY
cir = rg.Circle(pln,10)
arc = rg.ArcCurve(cir)
arc.Domain = rg.Interval(0,1)
arc.Trim(0,0.5)
print arc.Domain

try assigning the arc.Trim to an output, as it is not operating on the arc itself.

import Rhino.Geometry as rg

pln = rg.Plane.WorldXY
cir = rg.Circle(pln,10)
arc = rg.ArcCurve(cir)
arc.Domain = rg.Interval(0,1)
a = arc.Trim(0,0.5)
print arc.Domain

Shame me. Thanks a lot for your help!